// maison 666 ||| macros eclairages

#macro spot( position, cible, cone_lumiere, taille_spot, couleur )
	light_source 
	{	position        		// position de la source lumineuse
  		color rgb <1,1,1>       // couleur emise par la source lumineuse
  		spotlight               // type de source lumineuse
  		point_at cible      	// direction du spot
  		radius cone_lumiere     // angle interieur du cone lumineux
  		tightness 0            	// intensit du faisceau 0  100
  		falloff cone_lumiere    // angle exterieur du cone lumineux
  		looks_like
  		{	sphere { 0, taille_spot }
  			texture
  			{	pigment { color rgb couleur }
  				finish { ambient 1 }
  			}
  		}
	}
#end

#macro test_spots( N )
	#local i=0; #while (i<N)
		#local ii = i/(N-1);
		#local uu = -0.5*(1-ii) + 0.5*ii;
		spot( <uu,1/4,-1/4>, <uu,0,-1/4>, 20, 0.05, <ii,1-ii,1> )
	#local i=i+1; #end
#end



