// maison 666 ||| macros doublages baies

#macro doublage()
	object
	{	difference
		{	box { <-2.80,-2.10,-2.80>, < 2.80, 2.70, 2.80> }
			box { <-2.70,-3.01,-2.70>, < 2.70, 3.01, 2.70> }
			box { <-3.01,-3.01,-3.01>, <-0.90, 0.00, 3.01> }
			box { <-3.01,-0.01,-2.70>, <-2.69, 1.20, 2.70> }
			box { < 2.69, 0.00, 0.00>, < 3.01, 3.01,-0.90> }
		}
		texture
		{	pigment 
			{ 	marble
				color_map 
				{  [ 0.0 color rgb <1,0,0> ] [ 0.1 color rgb <1.0,0.9,0.8> ] }
				scale 1/4*12/10
				rotate <0,0,90>
			}
			finish { ambient 0.3 diffuse 0.7 specular 0.0 }
		}
	}
#end

#macro baie( largeur, hauteur, epaisseur)
	union
	{	object				// cadre de la baie, montant de 25mm
		{	difference
			{	box { <0.000, 0.000,0.000>, <largeur, epaisseur, hauteur> }
				box { <0.025,-0.001,0.025>, 
							<largeur-0.025, epaisseur+0.001, hauteur-0.025> }
			}
			texture
			{	pigment { color rgb <1,1,1> }
				finish { ambient 0.3 diffuse 0.7 
							specular 0.7 roughness 0.01 }
			}
		}
		object				// double vitrage de la baie, 10mm
		{	box { <0.025, 0.020,0.025>, <largeur-0.025, 0.030, hauteur-0.025> }
			texture
			{	pigment { color rgbt <0.5,1,1,0.9> }
				finish { ambient 0.3 diffuse 0.5 
							specular 0.7 roughness 0.001 reflection 0.1 }
			}
		}
		scale <0.99, 1, 0.99>	// --> cadres disjoints
		rotate <-90,0,0>
	}
#end

#macro multi_baies()
	object { baie(0.90, 0.90, 0.10) translate <-0.90 + 0.00, 0.00 - 0.45, 0.00> }
	object { baie(0.90, 0.30, 0.10) translate <-0.90 + 0.00, 0.90 - 0.45, 0.00> }
	object { baie(0.90, 0.90, 0.10) translate <-0.90 + 0.90, 0.00 - 0.45, 0.00> }
	object { baie(0.90, 0.30, 0.10) translate <-0.90 + 0.90, 0.90 - 0.45, 0.00> }
#end

